Skip to content

Replace the content of a lesson block

PUT
/apps/{appId}/lessons/{lessonId}/blocks/{blockId}
curl --request PUT \
--url https://api.passion.io/v1/apps/example/lessons/example/blocks/example \
--header 'Content-Type: application/json' \
--data '{ "block": { "kind": "text", "markdown": "example" } }'
appId
required

The id of the App, as Studio shows it.

string
/^[1-9][0-9]*$/
lessonId
required

The id of a lesson, as get_course or create_lesson answers it.

string
/^[0-9A-Za-z-]+$/
blockId
required

The id of a block of the lesson, as get_course answers it.

string
/^[0-9A-Za-z-]+$/
Media typeapplication/json
object
block
required
Any of:

Text that the member reads.

object
kind
required
Allowed value: text
markdown
required

The text in Markdown: headings, lists, bold, italic and links.

string
>= 1 characters

OK

Media typeapplication/json
object
blockId
required
string
lessonId
required
string
kind
required
string
Allowed values: text image video audio files faq button
Example
{
"kind": "text"
}